libzypp: zypp/IdString.h File Reference

libzypp 17.25.10

Classes | Namespaces | Typedefs | Functions
IdString.h File Reference
`#include <iosfwd>`
`#include <string>`
`#include <string_view>`
`#include <boost/utility/string_ref_fwd.hpp>`
`#include <zypp/sat/detail/PoolMember.h>`
Include dependency graph for IdString.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | zypp::IdString
| Access to the sat-pools string space. More...

## Namespaces
namespace | zypp
| Easy-to use interface to the ZYPP dependency resolver.

## Typedefs
typedef std::unordered_set< IdString > | zypp::IdStringSet

## Functions
bool | zypp::operator== (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator== (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator== (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator== (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator!= (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator!= (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator!= (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator!= (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator< (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator< (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator< (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator< (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator<= (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator<= (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator<= (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator<= (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator> (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator> (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator> (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator> (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator>= (const IdString &lhs, const char *rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator>= (const IdString &lhs, const std::string &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator>= (const char *lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
bool | zypp::operator>= (const std::string &lhs, const IdString &rhs)
| This is an overloaded member function, provided for convenience. It differs from the above function only in what argument(s) it accepts. More...
| ZYPP_DEFINE_ID_HASHABLE (::zypp::IdString)

## Function Documentation

## ◆ ZYPP_DEFINE_ID_HASHABLE()

ZYPP_DEFINE_ID_HASHABLE | ( | ::zypp::IdString |  | ) |